var checkarrkey_str='';
var attr_price='';
var integra=0;
function init_choose(obj){
    if($(obj).hasClass('no_num'))return true;
    $(obj).siblings().removeClass('on');//去除同级元素样式
    if($(obj).hasClass('on')){
        $(obj).removeClass('on');
    }else{
        $(obj).addClass('on');
    }
    var siblingskarr = new Array();
    $(obj).siblings().each(function(){
        siblingskarr.push($(this).attr('attr'));
    });
    $(".detailInfo_tags span").not(".on").each(function(){
        var checkarrfirst = new Array();
        $(".detailInfo_tags span.on").each(function(){
            checkarrfirst.push($(this).attr('attr'));
        });
        var checkarr = checkarrfirst;
        var siblingskthisarr = new Array();
        var ischeck = true;
        if($.inArray($(this).attr('attr'),siblingskarr)==-1){
            $(this).siblings().each(function(){
                siblingskthisarr.push($(this).attr('attr'));
            });
            for(var keys in siblingskthisarr){
                if($.inArray(siblingskthisarr[keys],checkarr)>=0){
                    checkarr.splice($.inArray(siblingskthisarr[keys],checkarr),1);
                }
            }
            if($.inArray($(this).attr('attr'),checkarr)==-1)checkarr.push($(this).attr('attr'));
            for(var key in combination){
                if(isContained(combination[key],checkarr)){
                    ischeck = false;
                };
            }
            if($(this).hasClass('no_num'))$(this).removeClass('no_num');
            if(ischeck)$(this).addClass('no_num');
            checkarr.splice($.inArray($(this).attr('attr'),checkarr),1);
        }
    });
    //拼接属性价格库存
    checkarrkey = new Array();
    $(".detailInfo_tags span.on").each(function(){
        checkarrkey.push($(this).attr('attr'));
    });
    if(checkarrkey.length < parseInt(combinationpricenum)){
        var remarks=$("#remarks").val();
        if(remarks){
            $("#goods_price").html('￥'+foramtmoney($("#remarks").val(),2));
        }else {
            $("#goods_price").html(foramtmoney($("#price").val(), 2));
        }
        return true;
    }
    checkarrkey = checkarrkey.sort();
    checkarrkey_str = checkarrkey.join("_");
    if(combinationprice[checkarrkey_str]){
        //页面计算赋值
        var stock_cfg = combinationprice[checkarrkey_str]['stock_cfg'];//库存
        attr_price = combinationprice[checkarrkey_str]['attr_price'];//价格
        var sell_count = combinationprice[checkarrkey_str]['sell_count'];//已售数量
        var goods_price = parseFloat($("#price").val())+parseFloat(attr_price);
        if($("#remarks").val()){
            var goods_pprice = parseFloat($("#remarks").val())+parseFloat(attr_price);
            $("#goods_price").html('￥'+foramtmoney(goods_pprice,2));
            $(".t_price").html('￥'+foramtmoney(goods_pprice,2));
            $(".d_price").html('￥'+foramtmoney(goods_price,2));
        }else{
            $("#goods_price").html(foramtmoney(goods_price,2));
        }

    }
    $("#stock").html(stock_cfg);
    $("#sell_count").html(sell_count);

};
//是否被包含,是返回true,不是返回false
function isContained(a, b){
    if(!(a instanceof Array) || !(b instanceof Array)) return false;
    if(a.length < b.length) return false;
    var aStr = a.toString();
    //console.info(aStr);
    for(var i = 0, len = b.length; i < len; i++){
        //console.info(aStr.indexOf(b[i]));
        if(aStr.indexOf(b[i]) == -1) return false;
    }
    return true;
}
//积分商城选择付款方式
function choose_integra(obj){
    if($(obj).hasClass('no_num'))return true;
    var price=0;//价格

    $(obj).siblings().removeClass('on');//去除同级元素样式
    if($(obj).hasClass('on')){
        $(obj).removeClass('on');
        integra=0;
    }else{
        $(obj).addClass('on');
        integra=$(obj).attr('integra');
    }
    //alert(price);
    //alert(integra);
}

function spec_choose(obj){
    $(obj).siblings().removeClass('on');//去除同级元素样式
	shop_price = $(obj).attr('price');
	$(obj).addClass('on');
	$('#goods_price').html('￥'+foramtmoney(shop_price,2));
};
